#
# spec file for package rtorrent
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rtorrent
Version:        0.9.2
Release:        1.1
License:        GPL-2.0
Summary:        Console-based BitTorrent Client
Url:            http://libtorrent.rakshasa.no/
Group:          Productivity/Networking/Other
Source:         http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
Source1:        rtorrent.desktop
BuildRequires:  bc
BuildRequires:  libtorrent-devel >= 0.13.2
BuildRequires:  ncurses-devel
%if 0%{?suse_version} >= 1030
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libcppunit-devel
%else
BuildRequires:  cppunit-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  libxmlrpc-c-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Requires:	libtorrent14 >= 0.13.2
Provides:       %{name}-dht = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
rTorrent is a console-based BitTorrent client. It aims to be a fully-featured
and efficient client with the ability to run in the background using screen. It
supports fast-resume and session management.

%prep
%if 0%{?rev}
%setup -q -n rtorrent
%else
%setup -q
%endif

%build
export CPPFLAGS="%{optflags} -fno-strict-aliasing"
[ -e ./configure ] || ./autogen.sh
%configure \
    --enable-ipv6 \
    --enable-xmlrpc \
    --with-xmlrpc-c="%{_bindir}/xmlrpc-c-config"

%if "%{_lib}"=="lib"
cat<<EOF >>config.h
#define _FILE_OFFSET_BITS 64
EOF
%endif

make %{?_smp_mflags}

%install
%make_install

install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Network P2P

install -D -m 0644 doc/rtorrent.1 "%{buildroot}%{_mandir}/man1/rtorrent.1"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc doc/rtorrent.rc
%doc doc/faq.xml
%{_bindir}/rtorrent
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/rtorrent.1%{ext_man}

%changelog
* Fri Apr 11 2014 i@margueirte.su
- update version 0.9.2
* Tue Nov 22 2011 pascal.bleser@opensuse.org
- update to 0.8.9
* Tue Nov 16 2010 pascal.bleser@opensuse.org
- disable+remove the backwards compatibility patch for the "dht.port"
  parameter, as rtorrent now includes a runtime check that forbids having such
  aliases
* Mon Nov  8 2010 pascal.bleser@opensuse.org
- update to rev 1188
* Sun Jun 20 2010 pascal@links2linux.de
- added patch to restore the "dht_port" configuration directive
- added man page back to the package
* Mon May  3 2010 pascal@links2linux.de
- update to r1169:
  * redirects can now be made efficiently using
    rpc::CommandMap::create_redirect or "methods.redirect=new_key,dest_key"
  * handle XMLRPC commands with no arguments as if the target is empty
  * don't install the out-of-date man page.
  * renamed 'check_hash' and added a redirect
  * don't throw an exception on 'download->resume_flags() != ~uint32_t()' as
    there seems to be a race condition where a torrent doing the final hashing
    might get some flags set. Instead just clear it and hope nothing bad
    happens. See #1292.
  * fixed more redirected commands
  * old file/tracker related xmlrpc commands now work as before
  * added a missing READ_PORT case to a switch in handshake.cc
  * don't try to resume after finished if the download was deleted
* Sat Mar 27 2010 pascal@links2linux.de
- update to r1154
- removed dependency on licenses package
* Wed Mar 17 2010 pascal@links2linux.de
- update to r1148 (0.8.6)
  * upstream magnet support
* Sun Feb 21 2010 pascal.bleser@opensuse.org
- update to r1135
* Sat Dec 12 2009 pascal.bleser@opensuse.org
- update to SVN revision 1110 (pre 0.8.6)
- add magnet URI support patch
- add color support patch
- add trackerinfo patch
* Thu Oct  1 2009 pascal.bleser@opensuse.org
- added Requires to force an upgrade of libtorrent11 to >= 0.12.5,
  in order to avoid having rtorrent crash against libtorrent11-0.12.4;
  thanks to Ammler for reporting
- symlink license file (COPYING)
* Tue Sep 29 2009 pascal.bleser@opensuse.org
- update to 0.8.5
* Mon Sep 28 2009 pascal.bleser@opensuse.org
- enable XMLRPC support
* Mon Nov 24 2008 guru@unixtech.be
- update to 0.8.4
* Tue Nov 11 2008 guru@unixtech.be
- dropped GCC 4.3 patch, merged upstream
- update to 0.8.3
* Mon Jul 21 2008 guru@unixtech.be
- moved to Packman
- new upstream version, revived
* Sun Apr  9 2006 guru@unixtech.be
- explicitely require libtorrent 0.9.0
- new upstream version
* Tue Feb 21 2006 guru@unixtech.be
- new upstream version
* Wed Feb  1 2006 guru@unixtech.be
- new upstream version
- rewrote spec file
* Thu Sep  8 2005 guru@unixtech.be
- version 0.3.0
* Sun Mar 20 2005 guru@unixtech.be
- version 0.1.4
* Thu Mar  3 2005 guru@unixtech.be
- new package
